List conversations (latest message per contact)
curl --request GET \
--url https://api.algosmiths.com/api/v1/conversations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.algosmiths.com/api/v1/conversations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.algosmiths.com/api/v1/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": 123,
"receiver": {
"chat_status": "<string>",
"name": "<string>",
"phone_number": "<string>",
"receiver_id": "<string>",
"receiver_profile": null,
"is_group": true,
"active_till": "2023-11-07T05:31:56Z",
"email": "jsmith@example.com",
"company": "<string>",
"notes": "<string>",
"tags": "<unknown>",
"calling_permission": true,
"first_message_at": "2023-11-07T05:31:56Z",
"first_response_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"ctwa_clid": "<string>",
"ctwa_source_id": "<string>",
"ctwa_source_url": "<string>",
"ctwa_headline": "<string>",
"ctwa_referral_at": "2023-11-07T05:31:56Z",
"sla_first_response_deadline": "2023-11-07T05:31:56Z",
"sla_resolution_deadline": "2023-11-07T05:31:56Z",
"sla_breached": true,
"assigned_member": 123,
"assigned_team_inbox": 123,
"sla_policy": 123
},
"phone_number": {
"phone_number_id": "<string>",
"quality_rating": "<string>",
"display_phone_number": "<string>",
"verified_name": "<string>",
"business_account": 123,
"pin": "<string>",
"messaging_limit_tier": "<string>"
},
"send_by": {
"id": 123,
"username": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"deleted_at": "2023-11-07T05:31:56Z",
"uid": "<string>",
"is_verified": true,
"profile_picture": "<string>",
"locale": "<string>",
"phone_number": "<string>",
"name": "<string>",
"country": "<string>",
"currency": "<string>",
"referral_code": "<string>",
"wallet_balance": "<string>",
"referred_by": 123
},
"group": {
"id": 123,
"subject": "<string>",
"group_id": "<string>"
},
"is_truncated": "<string>",
"preview_length": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"direction": "<string>",
"body": "<unknown>",
"read": true,
"message_id": "<string>",
"message_status": "<string>",
"reply_to_wamid": "<string>",
"referred_product": null,
"payment_status": "<string>",
"error_code": -1,
"error_title": "<string>",
"error_message": "<string>",
"pricing_category": "<string>",
"is_import_placeholder": true
}
]
}Conversations
List conversations (latest message per contact)
GET
/
api
/
v1
/
conversations
/
List conversations (latest message per contact)
Authorizations
ApiKeyAuthtokenAuthCookieAuth
Workspace API key, e.g. Authorization: Bearer cb_live_.... Create one in Settings → API Keys. See public_api.md § 3 for scopes.
⌘I

